__class__:
    module: tmt.recipe
    name: Recipe
plans:
  - __class__:
        module: tmt.recipe
        name: _RecipePlan
    adjust: []
    author: []
    cleanup:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.cleanup.internal
                name: CleanupInternalData
            how: tmt
            name: default-0
            order: 50
            summary:
            when: []
    contact: []
    context: {}
    description:
    discover:
        __class__:
            module: tmt.recipe
            name: _RecipeDiscoverStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.discover.fmf
                name: DiscoverFmfStepData
            adjust-tests: []
            dist-git-download-only: false
            dist-git-extract:
            dist-git-init: false
            dist-git-install-builddeps: false
            dist-git-merge: false
            dist-git-remove-fmf-root: false
            dist-git-require: []
            dist-git-source: false
            dist-git-type:
            exclude: []
            filter:
              - tag:smoke
            fmf-id: false
            how: fmf
            include: []
            link: []
            modified-only: false
            modified-ref:
            modified-url:
            name: default-0
            order: 50
            path:
            prune: false
            ref:
            repository:
            require-test: []
            revision:
            summary:
            sync-repo: false
            test: []
            upgrade-path:
            url:
            url-content-type: git
            when: []
            where: &id001 []
        tests:
          - __class__:
                module: tmt.recipe
                name: _RecipeTest
            adjust: []
            author: []
            check: []
            component: []
            contact: []
            description:
            discover-phase: default-0
            duration: 1h
            enabled: true
            environment: {}
            framework: shell
            id:
            link: []
            manual: false
            name: /tests/tmt/tests/smoke-test
            order: 50
            path: /default-0/tests/tests/tmt/tests
            recommend: []
            require: []
            restart-max-count: 1
            restart-on-exit-code: []
            restart-with-reboot: false
            result: custom
            serial-number: 1
            summary: Execute smoke Playwright E2E tests.
            tag:
              - smoke
            test: "set +e\n\ngit clone https://github.com/podman-desktop/podman-desktop
                \"$TMT_TREE/podman-desktop\"\nexport PODMAN_DESKTOP_ARGS=\"$TMT_TREE/podman-desktop\"\
                \n(\n  cd \"$PODMAN_DESKTOP_ARGS\"\n  pnpm install\n  pnpm build\n\
                )\n\n(\n  cd \"$TMT_TREE/tests/playwright\"\n  pnpm add -D @podman-desktop/tests-playwright@next\n\
                )\n\n(\n  cd \"$TMT_TREE\"\n  pnpm install\n  pnpm build\n  pnpm test:e2e:smoke\n\
                )\n\nEXIT_CODE=$?\nbash \"$TMT_TREE/tests/tmt/scripts/create-results.sh\"\
                \ \"$EXIT_CODE\" \"smoke\"\n"
            tier:
            tty: false
            where: *id001
    enabled: true
    environment-from-cli:
        ARCH: x86_64
        COMPOSE: Fedora-43
        NODE_VERSION: v24.11.1
        PODMAN_VERSION: latest
        TESTING_FARM_GIT_REF: refs/heads/main
        TESTING_FARM_GIT_URL: 
            https://github.com/containers/podman-desktop-extension-ai-lab
        TESTING_FARM_REQUEST_ID: abed99eb-982e-46a6-bffe-8ac0d393009c
        TESTING_FARM_TEST_TYPE: fmf
    environment-from-fmf:
        EXT_TEST_GPU_SUPPORT_ENABLED: 'False'
    environment-from-importing: {}
    environment-from-intrinsics:
        TMT_PLAN_DATA: 
            /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/data
        TMT_PLAN_ENVIRONMENT_FILE: 
            /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/data/variables.env
        TMT_PLAN_SOURCE_SCRIPT: 
            /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/data/plan-source-script.sh
        TMT_TREE: 
            /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/tree
        TMT_VERSION: 1.70.0
    execute:
        __class__:
            module: tmt.recipe
            name: _RecipeExecuteStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.execute.internal
                name: ExecuteInternalData
            duration: 1h
            exit-first: false
            how: tmt
            ignore-duration: false
            interactive: false
            name: default-0
            no-progress-bar: false
            order: 50
            restraint-compatible: false
            script: []
            summary:
            when: []
            where: []
        results-path: 
            tests/tmt/plans/ai-lab-e2e-plan-default/smoke/execute/results.yaml
    finish:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: default-0
            order: 50
            ref:
            script: []
            summary:
            url:
            when: []
            where: []
    id:
    link: []
    name: /tests/tmt/plans/ai-lab-e2e-plan-default/smoke
    order: 50
    prepare:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: Install required packages
            order: 50
            ref:
            script:
              - "sudo dnf update -y\nsudo dnf install -y \\\ngit curl xorg-x11-server-Xvfb
                \\\n  nss nspr atk at-spi2-atk cups libXcomposite libXdamage libXfixes
                libXrandr cairo pango alsa-lib \\\n  gcc-c++ gtk3 passt jq\n# Install
                Node.js directly from official binary (if not already installed)\n\
                \nif ! command -v node &> /dev/null || [[ \"$(node -v)\" != \"v24.11.1\"\
                \ ]]; then\n  curl -fsSL https://nodejs.org/dist/v24.11.1/node-v24.11.1-linux-x64.tar.xz
                -o node.tar.xz || exit 1\n  sudo tar -C /usr/local --strip-components=1
                -xf node.tar.xz || exit 1\n  rm -f node.tar.xz\nfi\n\nnpm install
                -g pnpm\necho \"NodeJS version: $(node -v)\"\necho \"npm version:
                $(npm -v)\"\necho \"pnpm Version: $(pnpm --version)\"\n"
            summary:
            url:
            when: []
            where: []
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: Install podman
            order: 50
            ref:
            script:
              - "bash /var/ARTIFACTS/work-smokee9r3pw5z/tests/tmt/plans/ai-lab-e2e-plan-default/smoke/tree/tests/tmt/scripts/install-podman.sh\n"
            summary:
            url:
            when: []
            where: []
          - __class__:
                module: tmt.steps.prepare.shell
                name: PrepareShellData
            how: shell
            name: Enable and start Podman rootless service
            order: 50
            ref:
            script:
              - "systemctl --user enable podman.socket || exit 1\nsystemctl --user
                start podman.socket || exit 1\nsystemctl --user is-active podman.socket
                || exit 1\n"
            summary:
            url:
            when: []
            where: []
    provision:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - -OPTIONLESS-FIELDS:
              - primary_address
              - topology_address
              - facts
            __class__:
                module: tmt.steps.provision.connect
                name: ProvisionConnectData
            ansible:
                __class__:
                    module: tmt.ansible
                    name: GuestAnsible
                group:
                vars: {}
            become: false
            environment: {}
            facts:
                __class__:
                    module: tmt.guest
                    name: GuestFacts
                arch:
                bootc-builder:
                can-sudo:
                capabilities: {}
                distro:
                has-rsync:
                has-selinux:
                has-systemd:
                in-sync: false
                is-container:
                is-image-mode:
                is-ostree:
                is-superuser:
                is-toolbox:
                kernel-release:
                lsb-release-content: {}
                os-release-content: {}
                package-manager:
                sudo-prefix:
                systemd-soft-reboot:
                toolbox-container-name:
            guest: 3.15.163.41
            hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 
                e4cf531f-25af-45ac-8b59-9d58983f50fa
            hardware:
                cpu:
                    cores: '>= 4'
                disk:
                  - size: '>= 20 GB'
                memory: '>= 16 GB'
            how: connect
            key:
              - /etc/citool.d/id_rsa_artemis
            name: default-0
            order: 50
            password:
            port: 22
            primary-address:
            role:
            soft-reboot:
            ssh-option: []
            summary:
            systemd-soft-reboot:
            topology-address:
            user: root
            when: []
    report:
        __class__:
            module: tmt.recipe
            name: _RecipeStep
        enabled: true
        phases:
          - __class__:
                module: tmt.steps.report.display
                name: ReportDisplayData
            display-guest: auto
            how: display
            name: default-0
            order: 50
            summary:
            when: []
    summary: Execute smoke Playwright E2E tests.
    tag: []
    tier:
run:
    __class__:
        module: tmt.recipe
        name: _RecipeRun
    context: {}
    environment:
        ARCH: x86_64
        COMPOSE: Fedora-43
        NODE_VERSION: v24.11.1
        PODMAN_VERSION: latest
        TESTING_FARM_GIT_REF: refs/heads/main
        TESTING_FARM_GIT_URL: 
            https://github.com/containers/podman-desktop-extension-ai-lab
        TESTING_FARM_REQUEST_ID: abed99eb-982e-46a6-bffe-8ac0d393009c
        TESTING_FARM_TEST_TYPE: fmf
    remove: false
    root: /var/ARTIFACTS/git-refs-heads-maink8lz0nb3
